<?php
namespace Ak\Fs;

use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;
use League\Flysystem;

return [
    'dependencies' => [
        'aliases' => [
            'file_loader' => FileLoader::class,
        ],

        'factories' => [
            FileManagerInterface::class          => FileManagerFactory::class,
            Adapter\AdapterPluginManager::class  => PluginManagerAbstractFactory::class,
            Flysystem\FilesystemInterface::class => Service\MountManagerFactory::class,
            FileLoader::class => FileLoaderFactory::class,
        ],
    ],
];