<?php
namespace Ak\Fs;

/**
 * Kreira novu instancu datoteke.
 *
 * @package Ak\Fs
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
interface FileLoaderInterface
{
    /**
     * Vraća učitanu datoteku.
     *
     * @param string $path
     * @return null|FileInterface
     */
    public function load(string $path): ?FileInterface;
}